version: "3.8"
services:
 
    db:
        image: mysql
        container_name: db_docker_symfony
        restart: always
        volumes:
            - db-data:/var/lib/mysql
        environment:
            MYSQL_ALLOW_EMPTY_PASSWORD: 'yes'
        networks:
            - dev
    phpmyadmin:
        image: phpmyadmin
        container_name: phpmyadmin_docker_symfony
        restart: always
        depends_on:
            - db
        ports:
                - 8080:80
        environment:
            PMA_HOST: db
        networks:
                - dev

    maildev:
        image: maildev/maildev
        container_name: mailev_docker_symfony
        command: bin/maildev --web 80 --smtp 25 --hide-extensions STARTTLS
        ports: 
            - 1025:1025
            - 1080:1080
        restart : always
        networks: 
            - dev
    node:
        image: node:latest
        container_name: node-container
        volumes:
           - ./:/var/www
        networks: 
            - dev
    www:
        build: php
        container_name: www_docker_symfony
        ports: 
            - "8047:80"
        volumes: 
            - ./php/vhosts:/etc/apache2/sites-enabled
            - ./:/var/www
            - ./:/var/www/vendor # ignore vendor map
        restart: always
        networks: 
            - dev

networks:
    dev:
             
volumes:
    db-data: